Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class SimpleType

    java.lang.Object
      javax.management.openmbean.OpenType
          javax.management.openmbean.SimpleType

All Implemented Interfaces:
  Serializable

public final class SimpleType
extends OpenType
implements Serializable

The open type for simple java classes. These are a fixed number of these. The open types are available as static constants from this class.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Field Summary
`static SimpleType` | `BIGDECIMAL` The simple type for java.math.BigDecimal
`static SimpleType` | `BIGINTEGER` The simple type for java.math.BigInteger
`static SimpleType` | `BOOLEAN` The simple type for java.lang.Boolean
`static SimpleType` | `BYTE` The simple type for java.lang.Byte
`static SimpleType` | `CHARACTER` The simple type for java.lang.Character
`static SimpleType` | `DATE` The simple type for java.lang.Date
`static SimpleType` | `DOUBLE` The simple type for java.lang.Double
`static SimpleType` | `FLOAT` The simple type for java.lang.Float
`static SimpleType` | `INTEGER` The simple type for java.lang.Integer
`static SimpleType` | `LONG` The simple type for java.lang.Long
`static SimpleType` | `OBJECTNAME` The simple type for javax.management.ObjectName
`static SimpleType` | `SHORT` The simple type for java.lang.Short
`static SimpleType` | `STRING` The simple type for java.lang.String
`static SimpleType` | `VOID` The simple type for java.lang.Void

Fields inherited from class javax.management.openmbean.OpenType
`ALLOWED_CLASSNAMES`

Method Summary
`boolean` | `equals(Object obj)` Compares two object types for equality
`int` | `hashCode()` Retrieve the hashCode for this OpenType
`boolean` | `isValue(Object obj)` Whether the passed value is one of those described by this open type.
`Object` | `readResolve()`
`String` | `toString()` Retrieve a string representation of this open type

Methods inherited from class javax.management.openmbean.OpenType
`getClassName, getDescription, getTypeName, isArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BIGDECIMAL

    public static final SimpleType BIGDECIMAL

  The simple type for java.math.BigDecimal

### BIGINTEGER

    public static final SimpleType BIGINTEGER

  The simple type for java.math.BigInteger

### BOOLEAN

    public static final SimpleType BOOLEAN

  The simple type for java.lang.Boolean

### BYTE

    public static final SimpleType BYTE

  The simple type for java.lang.Byte

### CHARACTER

    public static final SimpleType CHARACTER

  The simple type for java.lang.Character

### DATE

    public static final SimpleType DATE

  The simple type for java.lang.Date

### DOUBLE

    public static final SimpleType DOUBLE

  The simple type for java.lang.Double

### FLOAT

    public static final SimpleType FLOAT

  The simple type for java.lang.Float

### INTEGER

    public static final SimpleType INTEGER

  The simple type for java.lang.Integer

### LONG

    public static final SimpleType LONG

  The simple type for java.lang.Long

### OBJECTNAME

    public static final SimpleType OBJECTNAME

  The simple type for javax.management.ObjectName

### SHORT

    public static final SimpleType SHORT

  The simple type for java.lang.Short

### STRING

    public static final SimpleType STRING

  The simple type for java.lang.String

### VOID

    public static final SimpleType VOID

  The simple type for java.lang.Void

Method Detail

### isValue

    public boolean isValue(Object obj)

  Description copied from class: `OpenType`
  Whether the passed value is one of those described by this open type.

  Specified by:
    `isValue` in class `OpenType`
  Parameters:
    `obj` - the object to test
  Returns:
    true when it is value for this open type, false otherwise

### readResolve

    public Object readResolve()
                       throws ObjectStreamException

  Throws:
    `ObjectStreamException`

### equals

    public boolean equals(Object obj)

  Description copied from class: `OpenType`
  Compares two object types for equality

  Specified by:
    `equals` in class `OpenType`
  Returns:
    obj the object to test with this one

### hashCode

    public int hashCode()

  Description copied from class: `OpenType`
  Retrieve the hashCode for this OpenType

  Specified by:
    `hashCode` in class `OpenType`
  Returns:
    the hash code

### toString

    public String toString()

  Description copied from class: `OpenType`
  Retrieve a string representation of this open type

  Specified by:
    `toString` in class `OpenType`
  Returns:
    the string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.